org.springframework.cloud.dataflow.rest.client.dsl

## Class DeploymentPropertiesBuilder

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.dsl.AbstractPropertiesBuilder
  - - org.springframework.cloud.dataflow.rest.client.dsl.DeploymentPropertiesBuilder

-     public class DeploymentPropertiesBuilder
      extends AbstractPropertiesBuilder

  Author:
    Vinicius Carvalho Utility class to help building a Map of deployment properties

- - ### Field Summary

    - ### Fields inherited from class org.springframework.cloud.dataflow.rest.client.dsl.AbstractPropertiesBuilder

      `DEPLOYER_PREFIX, deploymentProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentPropertiesBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeploymentPropertiesBuilder` | `count(String label, Integer instances)` Sets the number of instances of the target application.
    `DeploymentPropertiesBuilder` | `memory(String label, Integer memory)` Configures the memory size allocated for the application.
    `DeploymentPropertiesBuilder` | `put(String key, String value)`
    `DeploymentPropertiesBuilder` | `putAll(Map<String,String> map)`

    - ### Methods inherited from class org.springframework.cloud.dataflow.rest.client.dsl.AbstractPropertiesBuilder

      `build`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentPropertiesBuilder

          public DeploymentPropertiesBuilder()

  - ### Method Detail

    - #### put

          public DeploymentPropertiesBuilder put(String key,
                                                 String value)

    - #### putAll

          public DeploymentPropertiesBuilder putAll(Map<String,String> map)

    - #### memory

          public DeploymentPropertiesBuilder memory(String label,
                                                    Integer memory)

      Configures the memory size allocated for the application.
      Parameters:
        `label` - - The application name or label to configure the number of instances
        `memory` - - Memory size in Mb, must be greater or equal 128
      Returns:
        the instance of this DeploymentPropertiesBuilder

    - #### count

          public DeploymentPropertiesBuilder count(String label,
                                                   Integer instances)

      Sets the number of instances of the target application.
      Parameters:
        `label` - - The application name or label to configure the number of instances
        `instances` - - Number of instances, must be greater than zero
      Returns:
        the instance of this DeploymentPropertiesBuilder

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.